<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
  
-->

<h:form id="modificarInformacionProfesionalesNominaForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">
    <p:spacer height="5" />

    <p:fieldset>

        <p:focus />
        <p:messages id="msgsCOPPR" showDetail="false" globalOnly="false" />

        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:panelGroup>
                <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="territorial"
                                 value="#{adminProfesionalAvaluosNomina.territorialSeleccionadaCodigo}"
                                 label="Territorial" required="true">
                    <f:selectItems
                        value="#{general.territorialesConDireccionGeneralCV}" />
                    <p:ajax process="@this"
                            update=":modificarInformacionProfesionalesNominaForm:departamento,
                            :modificarInformacionProfesionalesNominaForm:municipio"
                            listener="#{adminProfesionalAvaluosNomina.actualizarListaDepartamentos}" />
                </h:selectOneMenu>
                <p:message for="territorial" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Departamento residencia:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="departamento" label="Departamento"
                                 value="#{adminProfesionalAvaluosNomina.departamentoSeleccionadoCodigo}"
                                 required="true">
                    <f:selectItems
                        value="#{adminProfesionalAvaluosNomina.departamentosItemList}" />
                    <p:ajax process="@this"
                            update=":modificarInformacionProfesionalesNominaForm:municipio"
                            listener="#{adminProfesionalAvaluosNomina.actualizarListaMunicipios}" />
                </h:selectOneMenu>
                <p:message for="departamento" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Municipio residencia:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="municipio" label="Municipio"
                                 value="#{adminProfesionalAvaluosNomina.municipioSeleccionadoCodigo}"
                                 required="true">
                    <f:selectItems
                        value="#{adminProfesionalAvaluosNomina.municipiosItemList}" />
                </h:selectOneMenu>
                <p:message for="municipio" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Profesión:" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="profesion"
                                 value="#{adminProfesionalAvaluosNomina.profesionSeleccionadaCodigo}"
                                 label="Profesión" required="true">
                    <f:selectItems value="#{general.profesionV}" />
                </h:selectOneMenu>
                <p:message for="profesion" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Tipo documento:" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="tipoDocumento"
                                 value="#{adminProfesionalAvaluosNomina.profesionalSeleccionado.tipoIdentificacion}"
                                 required="true">
                    <f:selectItems value="#{general.personaTipoIdentificacionNoNitCV}" />
                    <p:ajax event="change"
                            process="@this,
                            :modificarInformacionProfesionalesNominaForm:numeroDocumento"
                            listener="#{adminProfesionalAvaluosNomina.validarProfesionalExistente}"
                            update=":modificarInformacionProfesionalesNominaForm:msgsCOPPR" />
                </h:selectOneMenu>
                <p:message for="tipoDocumento" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Número documento:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="numeroDocumento" label="Número documento"
                             value="#{adminProfesionalAvaluosNomina.profesionalSeleccionado.numeroIdentificacion}"
                             required="true">
                    <p:ajax event="change"
                            process="@this,
                            :modificarInformacionProfesionalesNominaForm:tipoDocumento"
                            listener="#{adminProfesionalAvaluosNomina.validarProfesionalExistente}"
                            update=":modificarInformacionProfesionalesNominaForm:msgsCOPPR" />
                </h:inputText>
                <p:message id="numeroDocumentoMsg" for="numeroDocumento"
                           display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Primer nombre:" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="primerNombre" label="Primer nombre"
                             value="#{adminProfesionalAvaluosNomina.profesionalSeleccionado.primerNombre}"
                             required="true" />
                <p:message for="primerNombre" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Segundo nombre:" styleClass="outputLabelStyle" />
            <h:inputText
                value="#{adminProfesionalAvaluosNomina.profesionalSeleccionado.segundoNombre}" />

            <h:panelGroup>
                <h:outputLabel value="Primer apellido:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="primerApellido" label="Primer apellido"
                             value="#{adminProfesionalAvaluosNomina.profesionalSeleccionado.primerApellido}"
                             required="true" />
                <p:message for="primerApellido" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Segundo apellido:"
                           styleClass="outputLabelStyle" />
            <h:inputText
                value="#{adminProfesionalAvaluosNomina.profesionalSeleccionado.segundoApellido}" />

            <h:outputLabel value="Dirección:" styleClass="outputLabelStyle" />
            <h:inputText
                value="#{adminProfesionalAvaluosNomina.profesionalSeleccionado.direccion}" />

            <h:outputLabel value="Teléfono:" styleClass="outputLabelStyle" />
            <h:inputText
                value="#{adminProfesionalAvaluosNomina.profesionalSeleccionado.telefono}" />

            <h:outputLabel value="Celular:" styleClass="outputLabelStyle" />
            <h:inputText
                value="#{adminProfesionalAvaluosNomina.profesionalSeleccionado.celular}" />

            <h:panelGroup>
                <h:outputLabel value="E-mail:" styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText id="correoElectronico" label="Correo electrónico"
                             value="#{adminProfesionalAvaluosNomina.profesionalSeleccionado.correoElectronico}"
                             maxlength="100" size="35" required="true">
                    <f:validator validatorId="emailValidator" for="correoElectronico" />
                    <p:ajax event="change" process="@this"
                            update=":modificarInformacionProfesionalesNominaForm:correoElectronicoMsg, 
                            :modificarInformacionProfesionalesNominaForm:msgsCOPPR" />
                </h:inputText>
                <p:message id="correoElectronicoMsg" for="correoElectronico"
                           display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Tipo contrato:" styleClass="outputLabelStyle" />
            <h:outputText value="Carrera administrativa"
                          styleClass="outputTextStyle" />

        </h:panelGrid>
    </p:fieldset>

    <h:panelGrid columns="1" cellspacing="7">
        <p:commandButton value="Guardar" icon="ui-icon-disk"
                         action="#{adminProfesionalAvaluosNomina.guardarProfesional}"
                         update=":modificarInformacionProfesionalesNominaForm,
                         :adminProfesionalAvaluosNominaForm:
                         :msgsAPAN"
                         onstart="statusDialog2.show()"
                         oncomplete="statusDialog2.hide(); 
                         handleCompleteSIC(xhr, status, args, modificarInformacionProfesionalAvaluosWV, false);" />
    </h:panelGrid>
</h:form>